## Apache Zeta Components Manual :: Docs For Class ezcSignalSlotException

### SignalSlot::ezcSignalSlotException

### Class ezcSignalSlotException

ezcSignalSlotExceptions are thrown when an exceptional state occures in the SignalSlot package.

Source for this file: /SignalSlot/src/exceptions/signalslot_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcSignalSlotException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcSignalSlotException | `__construct( $message )` Constructs a new ezcSignalSlotlException with error message $message.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcSignalSlotException __construct( string $message )

Constructs a new ezcSignalSlotlException with error message $message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3